Temso
API referenceResponses

List AI Responses

Returns one row per AI response collected for the project's prompts in the date range, including prompt metadata and a response preview. Pass filter[runId] to isolate the responses of one monitor run. Use Get Response Content to fetch the full model output for a response.

GET
/projects/{projectId}/prompts/responses

Returns one row per AI response collected for the project's prompts in the date range, including prompt metadata and a response preview. Pass filter[runId] to isolate the responses of one monitor run. Use Get Response Content to fetch the full model output for a response.

Path Parameters

projectId*string

Project ID (see List Projects)

Query Parameters

filter*
page?integer

Page number (1-indexed, default: 1)

Range1 <= value
Default1
limit?integer

Items per page (default: 50, max: 1000)

Range1 <= value <= 1000
Default50

Response Body

application/json

curl -X GET "https://example.com/projects/string/prompts/responses?filter%5BstartDate%5D=2026-01-01&filter%5BendDate%5D=2026-03-19&filter%5Blanguages%5D=en%2Cde&filter%5Bcountries%5D=US%2CDE&filter%5Bmodels%5D=microsoft%2Fcopilot-search%2Cgoogle%2Fai-overview%2Cgoogle%2Fai-mode%2Cperplexity%2Fsearch%2Cgemini%2Fsearch%2Copenai%2Fchatgpt&filter%5BpromptTypes%5D=informational%2Cnavigational&filter%5BisBranded%5D=true&filter%5BpersonaIds%5D=string&filter%5BofferingIds%5D=string&filter%5BpromptTagIds%5D=string&filter%5BbrandIds%5D=string&filter%5BrunId%5D=665f1c2e9b1d4a3f8c0e7a11"
{  "data": [    {      "responseId": "string",      "runId": "string",      "promptText": "string",      "preview": "string",      "model": "openai/chatgpt",      "country": "US",      "language": "en",      "presence": 0,      "totalSources": 0,      "createdAt": "string",      "promptType": "string",      "isBranded": true,      "keywords": [        "string"      ]    }  ],  "pagination": {    "page": 0,    "limit": 0,    "total": 0  }}